Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#44842 - Update of kde-gtk-config to 5.3 breaks KDE4 GTK configuration module

Attached to Project: Arch Linux
Opened by Nicola Mori (snack) - Monday, 04 May 2015, 08:46 GMT
Last edited by Antonio Rojas (arojas) - Monday, 04 May 2015, 09:01 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
kde-gtk-config 5.3 is now in [extra], so pacman will update from 2.2.1. This update breaks the GTK configuration panel in System Settings -> Application Appearance for KDE4 users. The panel report this message: "Could not find plugin 'GTK' for application 'systemsettings'Library "kcm_cgc" not found".
Reverting to 2.2.1 fixes the problem.

Additional info:
* package version(s)
kde-gtk-config 5.3
kdebase-workspace 4.11.18-1

Steps to reproduce:
1) Update to kde-gtk-config 5.3
2) In a KDE4 desktop go to System Settings -> Application Appearance -> GTK
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 04 May 2015, 09:01 GMT
Reason for closing:  Not a bug
Comment by Antonio Rojas (arojas) - Monday, 04 May 2015, 09:01 GMT
That's expected, it's been ported to KF5 so it won't show in KDE4 systemsettings. You can launch it outside Plasma 5 with the command "kcmshell5 kde-gtk-config"

Loading...